#include <bits/stdc++.h>
using namespace std;

int main() {
    long long int n,l,r;
    cin>>n;
    int a[n],b[n];
    for (int i = 0; i <n; ++i)
    cin >> a[i];
    for (int i = 0; i <n; ++i)
    cin >> b[i];
    long long int res = 0;
    long long int xor1,and1;
    for (l=0;l<n;++l)
	{
        xor1 = 0;
        and1= -1; 
		for (r=l;r<n;++r)
		{
            xor1=xor1^a[r];
            and1=and1&b[r]; 
            long long int resenja = xor1 * and1;
            res = max(res, resenja);
        }
    }
    cout<<res<<endl;
}